﻿@model UserGroupView
@{
    ViewBag.Title = ViewBag.Tite;
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Companies.UG</h3>
    </div>
    <div class="panel-body">
        @using (Html.BeginForm("ConfirmAction", "UserGroup", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formUserGroup" }))
        {
            <label class="col-md-4 control-label" id="REQ" style="display:none">@Companies.REQ</label>
            <div class="form-group">
                <label class="col-md-4 control-label" id="lblName">@Users.Name</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.Name, new { @placeholder = @Users.Name, @class = "form-control" })
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" id="lblCSSName">CSS @Users.Name</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.CSSName, new { @placeholder = "CSS" + @Users.Name, @class = "form-control" })
                </div>
            </div>

            <div class="form-group">
                <label class="col-md-4 control-label" id="lblJSName">JS @Users.Name</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.JSName, new { @placeholder = "JS" + @Users.Name, @class = "form-control" })
                </div>
            </div>

            @Html.HiddenFor(c => c.Id)
            @Html.HiddenFor(c => c.IdCompany)

            <div class="but_blok_footer">
                <div class="col-md-12">
                    <button type="submit" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
                        @Html.ActionLink(@Companies.Cancel, "Index", "Companies", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
                </div>
            </div>
        }
    </div>
</div>

<div class="alert alert-success" id="UpdateCorrectly" role="alert">
        <strong>@Users.UGUpdateMessage</strong>
    </div>

<div class="modal fade in" id="infoBox" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false" style="display: none;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                <h4 class="modal-title" id="myModalLabel">Info</h4>
            </div>
            <div style=" text-align :center ">
                <div class="alert  alert-error" id="infoMessage" style="background-color: #34EA75; color: #000000 "><strong> Connection validation: Correct </strong></div>
            </div>
            <div class="modal-footer">
                <button type="button" id="OkError" class="btn btn-primary" data-dismiss="modal">Ok</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/UserGroup")